Skip to main content
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
metadata
Token - Metadata
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/metadata \
  --header 'Authorization: Bearer <token>'
{
  "address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
  "chain": "sol",
  "decimals": "9",
  "name": "USD Coin",
  "symbol": "USDC",
  "coingeckoCoinId": "usd-coin",
  "description": "USDC is a stablecoin pegged to the US dollar",
  "devLastTokenCreatedAt": "2025-12-03T09:23:34.000Z",
  "devTotalTokens": "163",
  "extra": {
    "collectionAddress": "ABCDE",
    "editionNonce": 1,
    "freezeAuthority": "B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV",
    "fungible": true,
    "isMutable": true,
    "isNative": false,
    "isVerifiedCollection": true,
    "isWrapped": false,
    "key": "Mint",
    "launchFromProgramAddress": "6EF8rrecthR5Dkzon8Nwu78hRvfCKubJ14M5uBEwF6P",
    "launchFromProtocolFamily": "pumpfun",
    "migratedAt": 1714857600000,
    "migratedToPoolAddress": "7AvUMqLBou5EAXzyhnizWmPU13u2VguJoBYdcX4bhJtQ",
    "migratedToProgramAddress": "pAMMBay6oceH9fJKBRHGP5D4bD4sWpmSwMn52FMfXEA",
    "migratedToProtocolFamily": "Raydium",
    "mintAuthority": "B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV",
    "primarySaleHappened": false,
    "programAddress": "TokenkegQfeZyiNwAJbNbGKPFXCWuBvf9Ss623VQ5DA",
    "sellerFeeBasisPoints": 100,
    "tokenStandard": "Fungible",
    "updateAuthority": "B61ZzjjZskE9yur2CBe4H4NFS3XHdEZdatKNegC9smUV"
  },
  "imageUrl": "https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png",
  "metadataAddress": "metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s",
  "socialMedias": {
    "bitbucket": "https://bitbucket.org/circle",
    "discord": "https://discord.gg/circle",
    "facebook": "https://facebook.com/circle",
    "github": "https://github.com/circle",
    "instagram": "@circle",
    "linkedin": "https://linkedin.com/company/circle",
    "medium": "https://medium.com/@circle",
    "reddit": "https://reddit.com/r/circle",
    "telegram": "https://t.me/circle",
    "tiktok": "@circle",
    "twitter": "@circle",
    "website": "https://www.circle.com",
    "youtube": "https://youtube.com/@circle"
  },
  "tokenCreatedAt": 1710417600000,
  "tokenCreatedBlockHeight": "220000000",
  "tokenCreatedSlot": "230000000",
  "tokenCreatedTxSignature": "5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz...",
  "tokenCreators": [
    {
      "address": "5e2qRc1DNEXmyxP8qwPwJhRWjef7usLyi7v5xjqLr5G7",
      "isVerified": true,
      "share": 100
    }
  ],
  "updatedAt": "2026-02-09T08:05:12.345Z",
  "uri": "https://arweave.net/abc123"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
tokenAddress
string
required

An address of a token

Response

200 - application/json

Get Metadata

Token metadata

address
string
required
Example:

"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v"

chain
string
required
Example:

"sol"

decimals
string
required
Example:

"9"

name
string
required
Example:

"USD Coin"

symbol
string
required
Example:

"USDC"

coingeckoCoinId
string | null
Example:

"usd-coin"

description
string | null
Example:

"USDC is a stablecoin pegged to the US dollar"

devLastTokenCreatedAt
string | null
Example:

"2025-12-03T09:23:34.000Z"

devTotalTokens
string | null
Example:

"163"

extra
object

Token extra metadata

imageUrl
string | null
Example:

"https://raw.githubusercontent.com/solana-labs/token-list/main/assets/mainnet/EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v/logo.png"

metadataAddress
string | null
Example:

"metaqbxxUerdq28cj1RbAWkYQm3ybzjb6a8bt518x1s"

socialMedias
object

Token social media links

tokenCreatedAt
integer<int64> | null
Example:

1710417600000

tokenCreatedBlockHeight
string | null
Example:

"220000000"

tokenCreatedSlot
string | null
Example:

"230000000"

tokenCreatedTxSignature
string | null
Example:

"5dJ1BxPiFT7w7aBdkxNy2jopGZnZoLwRwS8e9GkEXrVz..."

tokenCreators
object[]
updatedAt
string | null
Example:

"2026-02-09T08:05:12.345Z"

uri
string | null
Example:

"https://arweave.net/abc123"